curl --request POST \
--url https://api.crustdata.com/company/professional_network/search/live \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--data '
{
"filters": [
{
"field": "COMPANY_HEADCOUNT",
"type": "in",
"value": [
"51-200",
"201-500"
]
},
{
"field": "INDUSTRY",
"type": "in",
"value": [
"Software Development"
]
}
],
"page": 1
}
'{
"companies": [
{
"basic_info": {
"name": "IgniteTech",
"professional_network_url": "https://www.linkedin.com/company/ignite-tech/",
"professional_network_id": "21226",
"primary_domain": "http://www.ignitetech.com",
"website": "http://www.ignitetech.com",
"company_type": "Privately Held",
"employee_count_range": "51-200",
"industries": [
"Profitability and Cost Management"
]
},
"headcount": {
"total": 120
},
"taxonomy": {
"linkedin_industry": "Software Development"
},
"locations": {
"hq_country": "United States",
"hq_city": "Austin",
"hq_state": "TX"
},
"revenue": {
"estimated": {
"lower_bound_usd": 50000000,
"upper_bound_usd": 100000000
}
},
"people": {
"decision_makers_count": "3"
}
}
],
"total_display_count": "15,000+"
}Search for companies in real-time using LinkedIn Sales Navigator filters. Returns 25 results per page. Supports filters for industry, headcount, region, revenue, followers, fortune ranking, account activities, job opportunities, and more. Results include basic company info, headcount, taxonomy, locations, revenue estimates, and decision maker counts.
curl --request POST \
--url https://api.crustdata.com/company/professional_network/search/live \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--data '
{
"filters": [
{
"field": "COMPANY_HEADCOUNT",
"type": "in",
"value": [
"51-200",
"201-500"
]
},
{
"field": "INDUSTRY",
"type": "in",
"value": [
"Software Development"
]
}
],
"page": 1
}
'{
"companies": [
{
"basic_info": {
"name": "IgniteTech",
"professional_network_url": "https://www.linkedin.com/company/ignite-tech/",
"professional_network_id": "21226",
"primary_domain": "http://www.ignitetech.com",
"website": "http://www.ignitetech.com",
"company_type": "Privately Held",
"employee_count_range": "51-200",
"industries": [
"Profitability and Cost Management"
]
},
"headcount": {
"total": 120
},
"taxonomy": {
"linkedin_industry": "Software Development"
},
"locations": {
"hq_country": "United States",
"hq_city": "Austin",
"hq_state": "TX"
},
"revenue": {
"estimated": {
"lower_bound_usd": 50000000,
"upper_bound_usd": 100000000
}
},
"people": {
"decision_makers_count": "3"
}
}
],
"total_display_count": "15,000+"
}API key passed as a Bearer token in the Authorization header.
API version to use. Must match a supported version (e.g., "2025-11-01").
"2025-11-01"
Sales Navigator filters or search URL with pagination
Request body for real-time company search via LinkedIn Sales Navigator. Provide either a professional_network_search_url or filters array with a page number.
A LinkedIn Sales Navigator search URL to execute directly
"https://www.linkedin.com/sales/search/company?query=..."
Array of Sales Navigator filter objects. Required when not using professional_network_search_url.
Show child attributes
[
{
"field": "COMPANY_HEADCOUNT",
"type": "in",
"value": ["51-200", "201-500"]
},
{
"field": "INDUSTRY",
"type": "in",
"value": ["Software Development"]
}
]Page number for pagination (required when using filters)
x >= 11
Companies matching the search criteria
Was this page helpful?